EventBuffer::prependBuffer
EventBuffer::read
EventBuffer
PHP Manual

# EventBuffer::pullup

Linearizes data within buffer and returns it's contents as a string

### Description

public void EventBuffer::pullup ( string `$size` )

"Linearizes" the first `size` bytes of the buffer, copying or moving them as needed to ensure that they are all contiguous and occupying the same chunk of memory. If size is negative, the function linearizes the entire buffer.

Warning

Calling EventBuffer::pullup with a large size can be quite slow, since it potentially needs to copy the entire buffer's contents.

### Parameters

`size`

  The number of bytes required to be contiguous within the buffer.

### Return Values

If `size` is greater than the number of bytes in the buffer, the function returns `NULL`. Otherwise, EventBuffer::pullup returns string.

### See Also

- EventBuffer::copyout
- EventBuffer::drain
- EventBuffer::read
- EventBuffer::readLine
- EventBuffer::appendFrom